type token =
  | NUM of (int)
  | TRUE
  | FALSE
  | READ
  | ID of (string)
  | STAR
  | AT
  | PLUS
  | MINUS
  | COLONEQ
  | SEMICOLON
  | IF
  | THEN
  | ELSE
  | LESS
  | NOT
  | ANDALSO
  | ORELSE
  | WHILE
  | DO
  | GOTO
  | LP
  | RP
  | EOF

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Program.labelled_cmd
